Bug 1009476 - Subscription allocation after 'heal entire org' is not always optimal
Subscription allocation after 'heal entire org' is not always optimal
Status: CLOSED WONTFIX
Product: Subscription Asset Manager
Classification: Red Hat
Component: candlepin (Show other bugs)
1.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Katello Bug Bin
SAM QE List
: Reopened
Depends On:
Blocks: sam20-tracker
  Show dependency treegraph
 
Reported: 2013-09-18 10:14 EDT by Vitaly Kuznetsov
Modified: 2017-06-26 16:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-26 16:35:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 Carter Kozak 2013-09-18 10:33:33 EDT
Heal entire org is a greedy algorithm, first come first serve.  It does not guarantee optimal subscription allocation.  That would take a very long time.

http://en.wikipedia.org/wiki/Knapsack_problem
Comment 4 Devan Goodwin 2014-01-16 09:50:46 EST
Yeah I'm afraid we have to close this as a WONTFIX. The effort involved would be quite massive for a problem we are not currently prepared to invest/tackle in as we suspect it's usefulness is minimal and the end result would still never be exactly what user would expect. Autosubscribe is an attempt to do the best we can on a per-system basis for the time being.
Comment 8 Bryan Kearney 2017-06-26 16:35:59 EDT
The release of Satellite 5.8 we are deprecating the support of Subscription Asset Manager. The release notes for 5.8 can be found at https://access.redhat.com/documentation/en-us/red_hat_satellite/5.8/pdf/release_notes/Red_Hat_Satellite-5.8-Release_Notes-en-US.pdf.

I am therefore closing out this bug as WONTFIX. If you believe this to be an error, please feel free tor each out to either Rich Jerrido or Bryan Kearney. Thank you!

Note You need to log in before you can comment on or make changes to this bug.